Busy Plugin - Defect #104

Plugin doesn’t work in firefox 3.6.6
07/26/2010 04:23 AM - Patrick Talbot

Status: Closed Start date: 07/26/2010
Priority: Normal Due date:

Assignee: Patrick Talbot % Done: 100%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

The plugin doesn’t work properly (your sample solution) in web client in firefox 3.6.6.

Also if the form where the plugin call is in a tab the plugin doesn’t work in chrome 5.0.375.99 (try the modal dialog of the attached
solution, | only place the start_form in a tab in a new form).

It works ok in IE.

Reported by vrcar86 on google-code

History

#1 - 07/29/2010 10:53 PM - Patrick Talbot
- Status changed from New to In Progress

- % Done changed from 0 to 50

Haven't been able to reproduce the problem in Firefox...
For Chrome, | still need to try it.

What | have been able to see is that in 5.1.4 as well as 5.2 the cancel button is triggering the callback AFTER the main process is finished.
According to Johan, this is due to a change in the way they deal with the Wicket 'EventDispatchThread' and the fact that they are now scheduling
events for execution in an event queue rather than executing directly when the test isEventDispatchThread() in WebClient is returning false.

A workaround is under construction but will probably lead to a new kind of call and a new version specific to Servoy 5.1+

#2 - 07/29/2010 10:54 PM - Patrick Talbot

- Assignee set to Patrick Talbot

#3 - 07/31/2010 06:49 AM - Patrick Talbot
- Status changed from In Progress to Closed

- % Done changed from 50 to 100

v2.0 address the changes in the API since 5.1.x and 5.2
See how to use in the wiki
